Skip to main content
POST
/
v1
/
alerts
/
{alert_id}
/
events
Create alert event
curl --request POST \
  --url https://api.rootly.com/v1/alerts/{alert_id}/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "alert_events",
    "attributes": {
      "kind": "note",
      "details": "<string>",
      "user_id": 123
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "alert_events",
    "attributes": {
      "kind": "informational",
      "action": "created",
      "source": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "user_id": 123,
      "details": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string
required

Body

application/vnd.api+json
data
object
required

Response

alert event created with Rootly bot user

data
object
required